- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
Byte Swapping Functions
Embryo

Ensures that the given unsigned short integer is in the small endian format. More...

## Functions
EAPI void | embryo_swap_32 (unsigned int *v)
| Ensures that the given unsigned integer is in the small endian format. More...

## Detailed Description

Ensures that the given unsigned short integer is in the small endian format.

Parameters

  v | Pointer to the given integer.

Functions that are used to ensure that integers passed to the virtual machine are in small endian format. These functions are used to ensure that the virtual machine operates correctly on big endian machines.

## Function Documentation

EAPI void embryo_swap_32 | ( | unsigned int * | v | ) |

Ensures that the given unsigned integer is in the small endian format.

Parameters

  v | Pointer to the given integer.

Referenced by embryo_program_load().